org.eclipse.jetty.http

## Class HttpCookie

- java.lang.Object
- - org.eclipse.jetty.http.HttpCookie

    public class HttpCookie
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`HttpCookie(String name, String value)`
`HttpCookie(String name, String value, int maxAge)`
`HttpCookie(String name, String value, String domain, String path)`
`HttpCookie(String name, String value, String domain, String path, int maxAge, boolean httpOnly, boolean secure)`
`HttpCookie(String name, String value, String domain, String path, int maxAge, boolean httpOnly, boolean secure, String comment, int version)`

### Method Summary

Methods
`String` `getComment()` Get the comment.
`String` `getDomain()` Get the domain.
`int` `getMaxAge()` Get the maxAge.
`String` `getName()` Get the name.
`String` `getPath()` Get the path.
`String` `getValue()` Get the value.
`int` `getVersion()` Get the version.
`boolean` `isHttpOnly()` Get the isHttpOnly.
`boolean` `isSecure()` Get the secure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpCookie

    public HttpCookie(String name,
              String value)

#### HttpCookie

    public HttpCookie(String name,
              String value,
              String domain,
              String path)

#### HttpCookie

    public HttpCookie(String name,
              String value,
              int maxAge)

#### HttpCookie

    public HttpCookie(String name,
              String value,
              String domain,
              String path,
              int maxAge,
              boolean httpOnly,
              boolean secure)

#### HttpCookie

    public HttpCookie(String name,
              String value,
              String domain,
              String path,
              int maxAge,
              boolean httpOnly,
              boolean secure,
              String comment,
              int version)

### Method Detail

#### getName

    public String getName()

Get the name.

Returns:
  the name

#### getValue

    public String getValue()

Get the value.

Returns:
  the value

#### getComment

    public String getComment()

Get the comment.

Returns:
  the comment

#### getDomain

    public String getDomain()

Get the domain.

Returns:
  the domain

#### getMaxAge

    public int getMaxAge()

Get the maxAge.

Returns:
  the maxAge

#### getPath

    public String getPath()

Get the path.

Returns:
  the path

#### isSecure

    public boolean isSecure()

Get the secure.

Returns:
  the secure

#### getVersion

    public int getVersion()

Get the version.

Returns:
  the version

#### isHttpOnly

    public boolean isHttpOnly()

Get the isHttpOnly.

Returns:
  the isHttpOnly